<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Plik źródłowy VelocityGraph.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_velocity_graph_8cpp_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">VelocityGraph.cpp</div></div>
</div><!--header-->
<div class="contents">
<a href="_velocity_graph_8cpp.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="preprocessor">#include &quot;<a class="code" href="_velocity_graph_8hpp.html">VelocityGraph.hpp</a>&quot;</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span> </div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff">   19</a></span><a class="code hl_function" href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff">VelocityGraph::VelocityGraph</a>(<span class="keyword">const</span> <span class="keywordtype">char</span> *graph_title, QWidget *parent) : <a class="code hl_class" href="class_framed_widget.html">FramedWidget</a>(graph_title, parent)</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>{</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a> = <span class="keyword">new</span> QCustomPlot();</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span> </div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <a class="code hl_function" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">setStoredWidget</a>();</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <a class="code hl_function" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">setVLayout</a>();</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="comment">// Ustawienie minimalnej wysokości, aby przy zmianach</span></div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="comment">// rozmiaru okna głównego wykres był nadal czytelny</span></div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    setMinimumHeight(<a class="code hl_define" href="_velocity_graph_8hpp.html#ab034cedcddb6ca27faede9802264da6d">GRAPH_HEIGHT</a>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="comment">// Definicja zachowania geometrii</span></div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>}</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno"><a class="line" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">   39</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">VelocityGraph::setStoredWidget</a>()</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>{</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;addGraph();</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span> </div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis-&gt;setRange(-1, 1);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;setSizePolicy(QSizePolicy::Preferred, QSizePolicy::Expanding);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;grid()-&gt;setVisible(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis2-&gt;setVisible(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis2-&gt;setVisible(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis2-&gt;setTickLabels(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis2-&gt;setTickLabels(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis2-&gt;setTicks(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis2-&gt;setTicks(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis2-&gt;setSubTicks(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis2-&gt;setSubTicks(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;setBasePen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis-&gt;setBasePen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis2-&gt;setBasePen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis2-&gt;setBasePen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;setTickPen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis-&gt;setTickPen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;setSubTickPen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis-&gt;setSubTickPen(QPen(Qt::white, 1));</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;setTickLabelColor(Qt::white);</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis-&gt;setTickLabelColor(Qt::white);</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;setLabelColor(Qt::white);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis-&gt;setLabelColor(Qt::white);</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis-&gt;grid()-&gt;setSubGridPen(QPen(QColor(80, 80, 80), 1, Qt::DotLine));</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span> </div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;graph(0)-&gt;setPen(QPen(QColor(200, 220, 255), 3));</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    QSharedPointer&lt;QCPAxisTickerTime&gt; timeTicker(<span class="keyword">new</span> QCPAxisTickerTime);</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>    timeTicker-&gt;setTimeFormat(<span class="stringliteral">&quot;%m:%s&quot;</span>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;setTicker(timeTicker);</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    connect(<a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis, SIGNAL(rangeChanged(QCPRange)), <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis2, SLOT(setRange(QCPRange)));</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    connect(<a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis, SIGNAL(rangeChanged(QCPRange)), <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;yAxis2, SLOT(setRange(QCPRange)));</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span> </div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    <a class="code hl_function" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">setPlotGradient</a>();</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>}</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">   84</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">VelocityGraph::setVLayout</a>()</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>{</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">title</a>);</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    <a class="code hl_variable" href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">vlayout</a>-&gt;addWidget(<a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>);</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>}</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno"><a class="line" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">   96</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">VelocityGraph::setPlotGradient</a>()</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>{</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    QGradient plot_gradient(QGradient::SolidStone);</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;setBackground(plot_gradient);</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>}</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno"><a class="line" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">  109</a></span><span class="keywordtype">void</span> <a class="code hl_function" href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">VelocityGraph::updateWheelVelocity</a>(<span class="keywordtype">int</span> velocity, <span class="keywordtype">int</span> time_interval_ms)</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>{</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    <span class="keywordflow">if</span>(velocity &gt; <a class="code hl_define" href="_velocity_graph_8hpp.html#ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3">MAX_RANGE</a>)</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        velocity = <a class="code hl_define" href="_velocity_graph_8hpp.html#ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3">MAX_RANGE</a>;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>    <span class="keywordflow">else</span> <span class="keywordflow">if</span>(velocity &lt; -<a class="code hl_define" href="_velocity_graph_8hpp.html#ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3">MAX_RANGE</a>)</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        velocity = -<a class="code hl_define" href="_velocity_graph_8hpp.html#ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3">MAX_RANGE</a>;</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span> </div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    <span class="keywordtype">double</span> percent = ((double)velocity) / <a class="code hl_define" href="_velocity_graph_8hpp.html#ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3">MAX_RANGE</a>;</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span> </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    <span class="keywordtype">double</span> key = (double)time_interval_ms/1000.0;</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    <a class="code hl_variable" href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">time_elapsed</a> += key;</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span> </div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;graph(0)-&gt;addData(<a class="code hl_variable" href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">time_elapsed</a>, percent);</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;xAxis-&gt;setRange(<a class="code hl_variable" href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">time_elapsed</a>, 8, Qt::AlignRight);</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>    <a class="code hl_variable" href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">graph</a>-&gt;replot();</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>}</div>
<div class="ttc" id="a_velocity_graph_8hpp_html"><div class="ttname"><a href="_velocity_graph_8hpp.html">VelocityGraph.hpp</a></div><div class="ttdoc">Definicja klasy VelocityGraph.</div></div>
<div class="ttc" id="a_velocity_graph_8hpp_html_ab034cedcddb6ca27faede9802264da6d"><div class="ttname"><a href="_velocity_graph_8hpp.html#ab034cedcddb6ca27faede9802264da6d">GRAPH_HEIGHT</a></div><div class="ttdeci">#define GRAPH_HEIGHT</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00018">VelocityGraph.hpp:18</a></div></div>
<div class="ttc" id="a_velocity_graph_8hpp_html_ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3"><div class="ttname"><a href="_velocity_graph_8hpp.html#ab06d3e8dbb4b7ee5c62d9cf3df4aa3e3">MAX_RANGE</a></div><div class="ttdeci">#define MAX_RANGE</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00019">VelocityGraph.hpp:19</a></div></div>
<div class="ttc" id="aclass_framed_widget_html"><div class="ttname"><a href="class_framed_widget.html">FramedWidget</a></div><div class="ttdoc">Klasa bazowa głównych widgetów okna aplikacji.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00025">FramedWidget.hpp:26</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_a5b62f9e21c0b6f3e797070d26027ac45"><div class="ttname"><a href="class_framed_widget.html#a5b62f9e21c0b6f3e797070d26027ac45">FramedWidget::vlayout</a></div><div class="ttdeci">QVBoxLayout * vlayout</div><div class="ttdoc">Zarządca geometrii wertykalnej.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00053">FramedWidget.hpp:53</a></div></div>
<div class="ttc" id="aclass_framed_widget_html_ace4a4b291bdc10ef5c4599a43baf1ab5"><div class="ttname"><a href="class_framed_widget.html#ace4a4b291bdc10ef5c4599a43baf1ab5">FramedWidget::title</a></div><div class="ttdeci">QLabel * title</div><div class="ttdoc">Tytuł widgetu.</div><div class="ttdef"><b>Definition</b> <a href="_framed_widget_8hpp_source.html#l00049">FramedWidget.hpp:49</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a4b4031c030e02241414de91769278bc7"><div class="ttname"><a href="class_velocity_graph.html#a4b4031c030e02241414de91769278bc7">VelocityGraph::setPlotGradient</a></div><div class="ttdeci">void setPlotGradient()</div><div class="ttdoc">Ustawia gradient tła wykresu.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00096">VelocityGraph.cpp:96</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a4e8f2ea12d76ea86f3d9fbbe164a49a3"><div class="ttname"><a href="class_velocity_graph.html#a4e8f2ea12d76ea86f3d9fbbe164a49a3">VelocityGraph::time_elapsed</a></div><div class="ttdeci">double time_elapsed</div><div class="ttdoc">Aktualny odcinek czasu między pomiarami.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00042">VelocityGraph.hpp:42</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a6f38fb49ed1209990c97f6753c35ed52"><div class="ttname"><a href="class_velocity_graph.html#a6f38fb49ed1209990c97f6753c35ed52">VelocityGraph::updateWheelVelocity</a></div><div class="ttdeci">void updateWheelVelocity(int velocity, int time_interval_ms)</div><div class="ttdoc">Aktualizuje dane na wykresie i przesuwa osie zgodnie z czasem.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00109">VelocityGraph.cpp:109</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a72f9c018ae8ceafa47a32b6b9a3238b0"><div class="ttname"><a href="class_velocity_graph.html#a72f9c018ae8ceafa47a32b6b9a3238b0">VelocityGraph::setVLayout</a></div><div class="ttdeci">void setVLayout() override</div><div class="ttdoc">Ustawia widgety pochodne w pionie.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00084">VelocityGraph.cpp:84</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a76c16fc021348ae060a8f29ffce2ebbf"><div class="ttname"><a href="class_velocity_graph.html#a76c16fc021348ae060a8f29ffce2ebbf">VelocityGraph::setStoredWidget</a></div><div class="ttdeci">void setStoredWidget() override</div><div class="ttdoc">Inicjalizuje widgety pochodne.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00039">VelocityGraph.cpp:39</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_a8668d46b4caf67ae43eb3b8e12ca8a31"><div class="ttname"><a href="class_velocity_graph.html#a8668d46b4caf67ae43eb3b8e12ca8a31">VelocityGraph::graph</a></div><div class="ttdeci">QCustomPlot * graph</div><div class="ttdoc">Wykres 2D.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8hpp_source.html#l00038">VelocityGraph.hpp:38</a></div></div>
<div class="ttc" id="aclass_velocity_graph_html_abbf1a1c5050244e226995ee047dfbcff"><div class="ttname"><a href="class_velocity_graph.html#abbf1a1c5050244e226995ee047dfbcff">VelocityGraph::VelocityGraph</a></div><div class="ttdeci">VelocityGraph(const char *graph_title, QWidget *parent=nullptr)</div><div class="ttdoc">Inicjalizuje obiekt klasy VelocityGraph.</div><div class="ttdef"><b>Definition</b> <a href="_velocity_graph_8cpp_source.html#l00019">VelocityGraph.cpp:19</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_velocity_graph_8cpp.html">VelocityGraph.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
